#pragma once
#include "afxwin.h"
#include "Hyperlink.h"
#include "EditEx.h"

class CASCII2NUMDlg : public CDialog
{
public:
	CASCII2NUMDlg(CWnd* pParent = NULL);	// ǥ Դϴ.

	enum { IDD = IDD_ASCII2NUM_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV Դϴ.

private:
	void ConvertASCII2Hexa ();
	void Copy2Clipboard (const char *hexa);

protected:
	HICON m_hIcon;

	DECLARE_MESSAGE_MAP()

	CFont _fontMessage; 
	CEditEx _editText;
	CEditEx _editString;
	CComboBox _comboNumSys;
	CHyperLink _staticHomepage;

	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEnChangeEditText();
	afx_msg void OnCbnSelchangeComboNumberSystem();
	afx_msg void OnEnChangeEditPrefix();
	afx_msg void OnEnChangeEditSuffix();
	afx_msg void OnEnChangeEditDelimiter();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
};
