#include "stdafx.h"
#include "AppIni.h" 

CAppIni::CAppIni(const char *ini_path)
: CIni(ini_path)
{
	LoadData();
}

CAppIni::~CAppIni()
{
	SaveData();
}

void CAppIni::LoadData()
{
	TransferAllData (false);
}

void CAppIni::SaveData()
{
	TransferAllData (true);
}

void CAppIni::TransferAllData (bool bSave)
{
	Transfer (bSave, "text",			text,		256, "Hello World!");
	Transfer (bSave, "numsys",			numsys,		3);
	Transfer (bSave, "prefix",			prefix,		16, "0x");
	Transfer (bSave, "suffix",			suffix,		16, "");
	Transfer (bSave, "delimiter",		delimiter,	16, ", ");
	Transfer (bSave, "options",			options,	0x00000001);
}
