#pragma once
#include "Ini.h"

#define OPT_AUTO_COPY_CLIPBOARD		0x00000001
#define OPT_AUTO_CONVERT			0x00000002

class CAppIni: public CIni
{
public: 
	char text[256+1];
	long numsys;
	char prefix[16+1];
	char suffix[16+1];
	char delimiter[16+1];
	long options;

public:
	CAppIni(const char *ini_path);
	virtual ~CAppIni();

	void LoadData();
	void SaveData();

private:
	void TransferAllData (bool bSave);
};


