#pragma once

#define VT_I8		1
#define VT_I16		2
#define VT_I32		3
#define VT_F32		4


#define VA_RO  0x01
#define VA_WO  0x02
#define VA_RW  0x03

struct sVariableInfo {
	long prefix;
	const char *sname;
	const char *lname;
	char type;
	char numsys;
};

extern const sVariableInfo _variables[];
extern const int _variables_num;

const sVariableInfo *GetVariableInfo (int prefix);
int GetVariableOrder (int prefix);
